package im.dx.system.mapper;

import im.dx.system.model.RoleOperator;
import im.dx.system.model.UserRoleTree;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface RoleOperatorMapper {
    int insert(RoleOperator roleOperator);

    Integer[] getOperatorsByRoleId(Integer roleId);

    int deleteByRoleId(@Param("roleId") Integer roleId);

    int insertRoleOperators(@Param("roleId") Integer roleId, @Param("operatorIds") Integer[] operatorIds);

    int deleteByOperatorId(@Param("operatorId") Integer operatorId);

    int insertRoleVideoerecordtype(@Param("roleId") Integer roleId, @Param("videorecordIds") String[] videorecordIds);

    int deleterecordtypeByRoleId(@Param("roleId") Integer roleId);


}